#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 35. Xfce Desktop

- Prev

  xfce4-dev-tools-4.20.0

- Next

  xfce4-panel-4.20.7

- Up
- Home

# libxfce4windowing-4.20.5

## Introduction to libxfce4windowing

The libxfce4windowing package contains a windowing concept abstraction library for X11 and Wayland.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://archive.xfce.org/src/xfce/libxfce4windowing/4.20/libxfce4windowing-4.20.5.tar.bz2

- Download MD5 sum: da6aa695900aded40735cd5fd9907f41

- Download size: 608 KB

- Estimated disk space required: 11 MB

- Estimated build time: 0.1 SBU

### libxfce4windowing Dependencies

#### Required

GTK-3.24.52, libdisplay-info-0.3.0, libwnck-43.3 and xfce4-dev-tools-4.20.0

#### Optional

GTK-Doc-1.36.1

## Installation of libxfce4windowing

Install libxfce4windowing by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --enable-x11      \
                --disable-debug   &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libxfce4windowingui-0 and libxfce4windowing-0.so
Installed Directories: /usr/include/xfce4/libxfce4windowing, /usr/include/xfce4/libxfce4windowingui, /usr/share/gtk-doc/html/libxfce4windowing, and /usr/share/gtk-doc/html/libxfce4windowingui

- Prev

  xfce4-dev-tools-4.20.0

- Next

  xfce4-panel-4.20.7

- Up
- Home